<script setup>
import { computed, useSlots } from 'vue';
import JetSectionTitle from './SectionTitle.vue';

defineEmits(['submitted']);

const hasActions = computed(() => !! useSlots().actions);
</script>

<template>
    <div class="md:grid md:grid-cols-3 md:gap-6">
        <JetSectionTitle>
            <template #title>
                <slot name="title" />
            </template>
            <!--<template #description>
                <slot name="description" />
            </template>-->
        </JetSectionTitle>

        <div class="mt-5 md:mt-0 md:col-span-2">
            <form @submit.prevent="$emit('submitted')">
                <div
                    class="p-3 bg-darkblue-opa-container shadow "
                    :class="hasActions ? 'rounded-tl-lg rounded-tr-lg' : 'rounded-lg'"
                >
                    <div class="grid grid-cols-6 gap-6">
                        <slot name="form" />
                    </div>
                </div>

                <div v-if="hasActions" class="flex items-center justify-end px-4 pb-3 bg-darkblue-opa-container text-right shadow rounded-bl-lg rounded-br-lg">
                    <slot name="actions" />
                </div>
            </form>
        </div>
    </div>
</template>
